import React, { ComponentProps } from 'react';
import { IChip } from '../Chip';
export interface IAccordionItem {
    children: React.ReactNode;
    chip?: IChip;
    label: string;
}
export declare type IAccordionControl = {
    openItems: any[];
    onChange(value: any): void;
};
export declare type IAccordion = {
    items: IAccordionItem[];
    color?: 'light' | 'dark';
} & IAccordionControl;
export interface IAccordionItemProps {
    children: React.ReactNode;
    chip?: IChip;
    label: string;
    open: boolean;
    onChange(value: any): void;
}
declare const Accordion: React.FC<IAccordion & Omit<ComponentProps<'div'>, keyof IAccordion>>;
export default Accordion;
