import React, { ComponentProps } from 'react';
import { sizeType } from '../../utils/componentPropsTypes';
export declare enum VARIANT {
    checkbox = "checkbox",
    radio = "radio"
}
export declare type variantCheckbox = 'checkbox' | 'radio';
interface ICheckbox {
    variant?: variantCheckbox;
    label?: string;
    defaultChecked?: boolean;
    disabled?: boolean;
    size?: sizeType;
    checked?: boolean;
    onClick?: React.MouseEventHandler<HTMLLabelElement>;
    onChange?: React.ChangeEventHandler<HTMLInputElement>;
}
declare function Checkbox(props: ICheckbox & Omit<ComponentProps<'input'>, keyof ICheckbox>): JSX.Element;
export default Checkbox;
