import React, { ComponentProps } from 'react';
import { sizeType, variantType } from '../../utils/componentPropsTypes';
export declare type statusType = 'error' | 'success';
export interface IIconButton {
    variant: variantType;
    disabled: boolean;
    activate: boolean;
    size: sizeType;
    status: statusType;
    onClick: React.MouseEventHandler<HTMLDivElement>;
}
declare const IconButton: React.FC<Partial<IIconButton & Omit<ComponentProps<'div'>, keyof IIconButton>>>;
export default IconButton;
