import React, { ComponentProps } from 'react';
declare type Placement = 'bottom-end' | 'bottom-start' | 'bottom' | 'left-end' | 'left-start' | 'left' | 'right-end' | 'right-start' | 'right' | 'top-end' | 'top-start' | 'top' | 'top-left' | 'top-right' | 'bottom-left' | 'bottom-right';
export interface IPopover {
    children?: React.ReactNode;
    component: React.ReactNode;
    placement?: Placement;
    open?: boolean;
    value?: any;
    onChange?: React.ChangeEventHandler<HTMLDivElement>;
    reverse?: boolean;
}
declare const Popover: ({ placement, component, open, children, value, className, ...arg }: IPopover & Omit<ComponentProps<'div'>, keyof IPopover>) => JSX.Element;
export default Popover;
