import React, { ComponentProps } from 'react';
import { colorSchemeType, sizeType, variantType } from '../../utils/componentPropsTypes';
import { IMenuItem } from '../MenuItem';
export interface ISelector {
    placeholder?: string;
    variant?: variantType;
    startImage?: React.ReactNode;
    endImage?: React.ReactNode;
    disabled?: boolean;
    size?: sizeType;
    color?: colorSchemeType;
    onClick?: React.MouseEventHandler<HTMLDivElement>;
    items?: Array<IMenuItem & {
        value: any;
    }>;
    open?: boolean;
    openButton?: boolean;
    directionOpen?: 'down' | 'up';
    value?: any;
    label?: string;
    helperText?: string;
    onChange(e: any): any;
}
declare const Selector: React.FC<ISelector & Omit<ComponentProps<'input'>, keyof ISelector>>;
export default Selector;
