import React, { ComponentProps } from 'react';
import { sizeType } from '../../utils/componentPropsTypes';
export declare enum VARIANT {
    dot = "dot",
    square = "square"
}
export declare type variantType = 'square' | 'dot';
export interface ISwitch {
    variant: variantType;
    disabled: boolean;
    size: sizeType;
    onClick: React.MouseEventHandler<HTMLLabelElement>;
    defaultChecked: boolean;
    checked: boolean;
}
declare const Switch: React.FC<Partial<ISwitch & Omit<ComponentProps<'input'>, keyof ISwitch>>>;
export default Switch;
